Public Attributes

# IGuestOSType Interface Reference

List of all members.

## Public Attributes
readonly attribute wstring | familyId
| Guest OS family identifier string.
readonly attribute wstring | familyDescription
| Human readable description of the guest OS family.
readonly attribute wstring | id
| Guest OS identifier string.
readonly attribute wstring | description
| Human readable description of the guest OS.
readonly attribute boolean | is64Bit
| Returns `true` if the given OS is 64-bit.
readonly attribute boolean | recommendedIOAPIC
| Returns `true` if IO APIC recommended for this OS type.
readonly attribute boolean | recommendedVirtEx
| Returns `true` if VT-x or AMD-V recommended for this OS type.
readonly attribute unsigned long | recommendedRAM
| Recommended RAM size in Megabytes.
readonly attribute unsigned long | recommendedVRAM
| Recommended video RAM size in Megabytes.
readonly attribute boolean | recommended2DVideoAcceleration
| Returns `true` if 2D video acceleration is recommended for this OS type.
readonly attribute boolean | recommended3DAcceleration
| Returns `true` if 3D acceleration is recommended for this OS type.
readonly attribute long long | recommendedHDD
| Recommended hard disk size in bytes.
readonly attribute NetworkAdapterType | adapterType
| Returns recommended network adapter for this OS type.
readonly attribute boolean | recommendedPAE
| Returns `true` if using PAE is recommended for this OS type.
readonly attribute StorageControllerType | recommendedDVDStorageController
| Recommended storage controller type for DVD/CD drives.
readonly attribute StorageBus | recommendedDVDStorageBus
| Recommended storage bus type for DVD/CD drives.
readonly attribute StorageControllerType | recommendedHDStorageController
| Recommended storage controller type for HD drives.
readonly attribute StorageBus | recommendedHDStorageBus
| Recommended storage bus type for HD drives.
readonly attribute FirmwareType | recommendedFirmware
| Recommended firmware type.
readonly attribute boolean | recommendedUSBHID
| Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.
readonly attribute boolean | recommendedHPET
| Returns `true` if using HPET is recommended for this OS type.
readonly attribute boolean | recommendedUSBTablet
| Returns `true` if using a USB Tablet is recommended.
readonly attribute boolean | recommendedRTCUseUTC
| Returns `true` if the RTC of this VM should be set to UTC.
readonly attribute ChipsetType | recommendedChipset
| Recommended chipset type.
readonly attribute AudioControllerType | recommendedAudioController
| Recommended audio type.
readonly attribute boolean | recommendedFloppy
| Returns `true` a floppy drive is recommended for this OS type.
readonly attribute boolean | recommendedUSB
| Returns `true` a USB controller is recommended for this OS type.

## Detailed Description

Interface ID:
  `{6D968F9A-858B-4C50-BF17-241F069E94C2}`

## Member Data Documentation

readonly attribute wstring IGuestOSType::familyId

Guest OS family identifier string.

readonly attribute wstring IGuestOSType::familyDescription

Human readable description of the guest OS family.

readonly attribute wstring IGuestOSType::id

Guest OS identifier string.

readonly attribute wstring IGuestOSType::description

Human readable description of the guest OS.

readonly attribute boolean IGuestOSType::is64Bit

Returns `true` if the given OS is 64-bit.

readonly attribute boolean IGuestOSType::recommendedIOAPIC

Returns `true` if IO APIC recommended for this OS type.

readonly attribute boolean IGuestOSType::recommendedVirtEx

Returns `true` if VT-x or AMD-V recommended for this OS type.

readonly attribute unsigned long IGuestOSType::recommendedRAM

Recommended RAM size in Megabytes.

readonly attribute unsigned long IGuestOSType::recommendedVRAM

Recommended video RAM size in Megabytes.

readonly attribute boolean IGuestOSType::recommended2DVideoAcceleration

Returns `true` if 2D video acceleration is recommended for this OS type.

readonly attribute boolean IGuestOSType::recommended3DAcceleration

Returns `true` if 3D acceleration is recommended for this OS type.

readonly attribute long long IGuestOSType::recommendedHDD

Recommended hard disk size in bytes.

readonly attribute NetworkAdapterType IGuestOSType::adapterType

Returns recommended network adapter for this OS type.

readonly attribute boolean IGuestOSType::recommendedPAE

Returns `true` if using PAE is recommended for this OS type.

readonly attribute StorageControllerType IGuestOSType::recommendedDVDStorageController

Recommended storage controller type for DVD/CD drives.

readonly attribute StorageBus IGuestOSType::recommendedDVDStorageBus

Recommended storage bus type for DVD/CD drives.

readonly attribute StorageControllerType IGuestOSType::recommendedHDStorageController

Recommended storage controller type for HD drives.

readonly attribute StorageBus IGuestOSType::recommendedHDStorageBus

Recommended storage bus type for HD drives.

readonly attribute FirmwareType IGuestOSType::recommendedFirmware

Recommended firmware type.

readonly attribute boolean IGuestOSType::recommendedUSBHID

Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.

readonly attribute boolean IGuestOSType::recommendedHPET

Returns `true` if using HPET is recommended for this OS type.

readonly attribute boolean IGuestOSType::recommendedUSBTablet

Returns `true` if using a USB Tablet is recommended.

readonly attribute boolean IGuestOSType::recommendedRTCUseUTC

Returns `true` if the RTC of this VM should be set to UTC.

readonly attribute ChipsetType IGuestOSType::recommendedChipset

Recommended chipset type.

readonly attribute AudioControllerType IGuestOSType::recommendedAudioController

Recommended audio type.

readonly attribute boolean IGuestOSType::recommendedFloppy

Returns `true` a floppy drive is recommended for this OS type.

readonly attribute boolean IGuestOSType::recommendedUSB

Returns `true` a USB controller is recommended for this OS type.